Get the most out of your Centmin Mod LEMP stack
Become a Member

Xenforo 500 when upgrade to PHP7

Discussion in 'Forum software usage' started by HarryPotter, Mar 7, 2016.

  1. HarryPotter

    HarryPotter Member

    41
    0
    6
    Apr 3, 2015
    Ratings:
    +0
    Local Time:
    2:58 AM
    Hi. I have tried upgrade to PHP7 on XenForo. But still no luck. When viewing forum without login. It is normal. But when I go to login. It is throw 500 error.

    Any idea? @eva2000
     
  2. eva2000

    eva2000 Administrator Staff Member

    30,945
    6,914
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,411
    Local Time:
    2:58 AM
    Nginx 1.13.x
    MariaDB 5.5
  3. RoldanLT

    RoldanLT Well-Known Member

    3,978
    965
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,329
    Local Time:
    12:58 AM
    1.11
    10.2
    Yeah, be sure to use latest XF and disable all addons first.
    What are your current PHP modules loaded?
    List of XF addons?
    Old version of BD Widget is not compatible.
     
    • Informative Informative x 1
  4. Sunka

    Sunka Active Member

    932
    242
    43
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +392
    Local Time:
    5:58 PM
    Nginx 1.13.3
    MariaDB 10.1.24
    Upgraded to 7.0.0. with xenforo 1.5 and after that to all updated minor versions of php.
    Right now I have php 7.0.4 anf latest xenforo (1.5.6 I think).

    In all upgrading there was no problem, except after first upgrade to 7.0.0 bd widget framework not working as excepted, but newer beta version solved that errors.

    I did not disabled addons before upgrading php, and I have 70+ installed addons

    Right now, I have running xenforo 1.5.6 on php 7.0.4, nginx 1.9.12, mariaDB 10.1.12, redis 3.0.7
     
    • Informative Informative x 1
  5. Tracy Perry

    Tracy Perry Active Member

    188
    81
    28
    Aug 24, 2014
    Texas
    Ratings:
    +130
    Local Time:
    10:58 AM
    1.11.5
    MariaDB 10.0.28
    I'm running 7.0.4 with the latest XF (and lots of add-ons) with no issues.
    Burning Board is also working fine with it.
    The only issue is that IPS is NOT officially 7.x compatible yet (because they depend on an outside library that isn't).
     
    • Informative Informative x 1
  6. ModeltogTossen

    ModeltogTossen I wish I could??

    313
    97
    28
    Dec 20, 2015
    Denmark
    Ratings:
    +143
    Local Time:
    5:58 PM
    1.9.12
    10.0.23
    As @RoldanLT explained - the [bd]widget is a issue if not the latest beta.. Else like @Sunka I also is almost bleding edge with anything without issues on my CMM server for XF install. For me its like rock solid.
     
    • Like Like x 1
    • Informative Informative x 1